package com.telpo.dipperposition.controller;

import com.telpo.dipperposition.service.IDipperAstPosAsyncTaskService;
import com.telpo.dipperposition.service.IDipperAstTimeAsyncTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.PostConstruct;


/**
 * @program: DipperAstPosAsyncTaskController
 * @description: 北斗定位
 * @author: linwl
 * @create: 2020-07-10 14:01
 */
@RestController
@Slf4j
public class DipperAstPosAsyncTaskController {

    @Autowired
    IDipperAstPosAsyncTaskService dipperAstPosAsyncTaskService;

//    private DipperAstPosAsyncTaskController dipperAstPosAsyncTaskController;
//    @PostConstruct
//    public void init() {
//        dipperAstPosAsyncTaskController = this;
//    }
    /*
     * 拉取星历数据
     */
    public String pushAstPos(String ipAddress) {
        return dipperAstPosAsyncTaskService.pushAstPos(ipAddress);
    }

}
