package com.telpo.dipperposition.entity.mongo;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @program: IpProvinceEntity
 * @description: 省份位置实体类
 * @author: linwl
 * @create: 2020-07-11 15:33
 */
@ToString
@Getter
@Setter
@Document
public class ProvinceInfoEntity {

    /** 所在省份 */
    private String province;
    /** lon */
    private String lon;
    /** alt */
    private String alt;
    /** centerAddress */
    private String centerAddress;
}
