package com.telpo.dipperposition.service;

import com.telpo.dipperposition.entity.mongo.IpProvinceEntity;
import com.telpo.dipperposition.entity.mongo.ProvinceInfoEntity;

import java.util.List;

/**
 * @program: IProvinceInfoService
 * @description: 省份经纬度信息
 * @author: king
 * @create: 2020-07-20 11:09
 */
public interface IProvinceInfoService {

//  @Autowired
//  void setIPProvinceService(IpProvinceService ipProvinceService);
  /**
   * 保存省份经纬度信息
   *
   * @param entity
   * @return
   */
  boolean saveProvinceInfo(ProvinceInfoEntity entity);

  /**
   * 更新省份经纬度信息
   *
   * @param query
   * @return
   */
  boolean updateProvinceInfoEntity(ProvinceInfoEntity query);

  /**
   * 根据ID移除IP省份记录
   *
   * @param id
   * @return
   */
  boolean romveById(String id);

  /*
   * @param ipAddress
   * 获取省份经纬度信息
   */
  ProvinceInfoEntity getProvinceInfo(String provicne);

  /**
   * 获取省份经纬度信息
   *
   * @return
   */
  List<ProvinceInfoEntity> getProvinceInfoEntitys();
}
